Package twisted :: Package words :: Module tendril |
[frames | no frames]

## Module twisted.words.tendril

Tendril between Words and IRC servers.

A Tendril, attached to a Words service, signs on as a user to an IRC server. It can then relay traffic for one or more channels/groups between the two servers. Anything it hears on a Words group it will repeat as a user in an IRC channel; anyone it hears on IRC will appear to be logged in to the Words service and speaking in a group there.

# How to Start a Tendril

In manhole:

     from twisted.internet import reactor as R
     from twisted.internet.app import theApplication as A
     from twisted.words import tendril as T

     w = A.getServiceNamed('twisted.words')
     f = T.TendrilFactory(w)
     # Maybe do some customization of f here, i.e.
     ## f.nickname = 'PartyLink'
     ## f.groupList = ['this', 'that', 'other']
     R.connectTCP(irchost, 6667, f)

Stability: No more stable than `words`.

Future plans: Use "`Policy`" to get Perspectives.

Author: Kevin Turner

Classes
`ProxiedParticipant` | I'm the client of a participant who is connected through Tendril.
`TendrilFactory` | I build Tendril clients for a words service.
`TendrilIRC` | I connect to the IRC server and broker traffic.
`TendrilWords` |

Function Summary
| ``channelToGroupName`(channelName)` Map an IRC channel name to a Words group name.
| `groupToChannelName(groupName)`

Variable Summary
`int` | `_LOGALL` = 1
`int` | `False` = 0
`int` | `True` = 1

Function Details

### channelToGroupName(channelName) Map an IRC channel name to a Words group name. IRC is case-insensitive, words is not. Arbitrtarily decree that all IRC channels should be lowercase. Warning: This prevents me from relaying text from IRC to a mixed-case Words group. That is, any words group I'm in should have an all-lowercase name.

Variable Details

    ### _LOGALL Type: `int` Value:
        1

    ### False Type: `int` Value:
        0

    ### True Type: `int` Value:
        1

Generated by Epydoc 2.0 on Sat Oct 25 00:54:53 2003 | http://epydoc.sf.net